#
# Licensed Materials - Property of IBM
# 5655-W05, 5655-W09, 5724-L01, 5724-I82, 5724-M24, 5724-M23
# (c) Copyright IBM Corporation 2014. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
WAS_HOME=$1
WAS_HOME_TMP=$WAS_HOME
JAVA71_HOME=$WAS_HOME/java_1.7.1_64
JAVA7_HOME=$WAS_HOME/java_1.7_64
if ! [ -d "$JAVA_HOME" ]; then
  JAVA_HOME=$WAS_HOME/java
fi

if  [ -d "$JAVA71_HOME/jre/bin"  -a  -d "$JAVA71_HOME/jre/bin" ]; then
    sh "$WAS_HOME_TMP/bin/managesdk.sh" -setCommandDefault -sdkname 1.7.1_64 
    sh "$WAS_HOME_TMP/bin/managesdk.sh" -setNewProfileDefault -sdkname 1.7.1_64 
    echo "java 7.1 enabled"
	exit 0
fi

if  [ -d "$JAVA7_HOME/jre/bin"  -a  -d "$JAVA7_HOME/jre/bin" ]; then
	sh "$WAS_HOME_TMP/bin/managesdk.sh" -setCommandDefault -sdkname 1.7_64 
	sh "$WAS_HOME_TMP/bin/managesdk.sh" -setNewProfileDefault -sdkname 1.7_64 
	echo "java 7 enabled"
	exit 0
fi 

echo bpm_managesdk.sh DONE.
exit 0